> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitoearn.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 作品列表

> 接口说明：查询指定已授权账号在指定平台的作品列表。仅在平台声明 `work.listWorks` 能力时可调用；当前快手返回 cursor 分页结构。



## OpenAPI

````yaml /openapi/zh/aitoearn.openapi.json get /api/v2/channels/works/{platform}
openapi: 3.0.1
info:
  title: AiToEarn 开放平台 API
  description: AiToEarn 开放平台 API，支持在中国站与国际站之间切换调试。业务是否成功以响应体 code === 0 为准。
  version: 1.0.0
  contact: {}
servers:
  - url: https://aitoearn.cn
    description: 中国站
  - url: https://aitoearn.ai
    description: 国际站
security: []
tags:
  - name: AI 服务
  - name: AI 服务/视频生成
  - name: AI 服务/图像生成
  - name: 渠道管理
  - name: 渠道管理/账号
  - name: 渠道管理/内容发布
  - name: 渠道管理/平台
  - name: 渠道管理/作品
  - name: 渠道管理/账号分组
  - name: 渠道管理/授权
  - name: 资源管理
  - name: AI 服务/大语言模型
  - name: AI 服务/真人素材
  - name: AI 服务/Agent
paths:
  /api/v2/channels/works/{platform}:
    get:
      tags:
        - 渠道管理/作品
      summary: 作品列表
      description: >-
        接口说明：查询指定已授权账号在指定平台的作品列表。仅在平台声明 `work.listWorks` 能力时可调用；当前快手返回 cursor
        分页结构。
      operationId: WorksController_listWorks_v2
      parameters:
        - name: platform
          in: path
          description: 平台标识
          required: true
          example: KWAI
          schema:
            type: string
            example: KWAI
            default: KWAI
        - name: accountId
          in: query
          description: 账号 ID
          required: true
          example: KWAI_f1b6d99b9252a17314bf5724eacc2e07
          schema:
            type: string
            minLength: 1
            description: 账号 ID
            example: KWAI_f1b6d99b9252a17314bf5724eacc2e07
        - name: pagination
          in: query
          description: 分页参数（可选，不传时使用平台默认分页）
          required: false
          example: '{}'
          schema:
            default: {}
            description: 分页参数（可选，不传时使用平台默认分页）
            anyOf:
              - type: object
                properties:
                  page:
                    type: integer
                    exclusiveMinimum: true
                    maximum: 9007199254740991
                    description: 页码，可选，不传时使用平台默认值
                    minimum: 0
                  pageSize:
                    type: integer
                    exclusiveMinimum: true
                    maximum: 9007199254740991
                    description: 每页数量，可选，不传时使用平台默认值
                    minimum: 0
              - anyOf:
                  - type: object
                    properties:
                      cursor:
                        type: string
                        description: 分页游标
                      limit:
                        description: 每页数量，不传时使用平台默认值
                        type: integer
                        exclusiveMinimum: true
                        maximum: 9007199254740991
                        minimum: 0
                      direction:
                        description: 分页方向，不传时默认下一页
                        type: string
                        enum:
                          - next
                          - previous
                  - type: object
                    properties:
                      limit:
                        type: integer
                        exclusiveMinimum: true
                        maximum: 9007199254740991
                        description: 每页数量，不传时使用平台默认值
                      direction:
                        description: 分页方向，不传时默认下一页
                        type: string
                        enum:
                          - next
                  - type: object
                    properties:
                      direction:
                        description: 分页方向，不传时默认下一页
                        type: string
                        enum:
                          - next
      responses:
        '200':
          description: 请求已被服务处理。业务是否成功以响应体 code === 0 为准。
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      platform:
                        type: string
                      items:
                        type: array
                        items:
                          type: object
                          additionalProperties: true
                      pagination:
                        type: object
                        properties:
                          mode:
                            type: string
                          hasNext:
                            type: boolean
                          hasPrevious:
                            type: boolean
                          limit:
                            type: number
                        additionalProperties: false
                    additionalProperties: false
                  code:
                    type: integer
                    description: 业务状态码。0 表示成功，非 0 表示业务错误。
                  message:
                    type: string
                    description: 响应消息。
                  requestId:
                    type: string
                    description: 请求 ID。
                  timestamp:
                    type: integer
                    description: 错误响应时间戳，Unix 毫秒。
              examples:
                success:
                  summary: 成功
                  value:
                    code: 0
                    message: 请求成功
                    data:
                      platform: string
                      items: []
                      pagination:
                        mode: cursor
                        hasNext: boolean
                        hasPrevious: boolean
                        limit: number
                    requestId: string
      deprecated: false
      security:
        - apikey-header-X-Api-Key: []
components:
  securitySchemes:
    apikey-header-X-Api-Key:
      type: apiKey
      in: header
      name: X-Api-Key
      description: 需要从 AiToEarn 获取 API Key。点击前往[「API Key 获取教程」](/zh/use/api-key)。

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.